PIP 1.7.1 Platform-Independent Primitives

Public Member Functions | Public Attributes | List of all members
PIStateMachine< Type >::State Struct Reference

State of machine More...

## Public Member Functions
| State ()
| Constuctor.
| State (Type v, const PIString &n="", Handler h=0)
| Constuctor.

## Public Attributes
Type | value
| State value
PIString | name
| State name
Handler | handler
| Pointer to function executed on tick.

## Detailed Description

### template<typename Type = int>
struct PIStateMachine< Type >::State

State of machine